List deposit, withdrawal and rebalance events
curl --request GET \
--url https://{host}/extern/fe/positions \
--header 'Authorization: Bearer <token>' \
--header 'X-Publishable-Key: <api-key>'const options = {
method: 'GET',
headers: {'X-Publishable-Key': '<api-key>', Authorization: 'Bearer <token>'}
};
fetch('https://{host}/extern/fe/positions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{host}/extern/fe/positions"
headers = {
"X-Publishable-Key": "<api-key>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"status": "success",
"data": {
"accountId": "8e9f4d67-51ad-49aa-a502-2f569aaf7399",
"safeAddress": "0x1234567890abcdef1234567890abcdef12345678",
"events": [
{
"kind": "DEPOSIT",
"eventType": "DEPOSIT",
"safeAddress": "0x1234567890abcdef1234567890abcdef12345678",
"chainId": 8453,
"blockNumber": "<string>",
"transactionHash": "<string>",
"logIndex": "<string>",
"blockTime": "2023-11-07T05:31:56Z",
"amount": "<string>",
"price": {
"USD": "1234.56",
"EUR": "1135.79"
},
"tokenAddress": "0x1234567890abcdef1234567890abcdef12345678",
"tokenSymbol": "<string>",
"tokenDecimals": 1
}
]
}
}{
"status": "error",
"code": "INTENT_WRONG_STATUS",
"message": "Session must be in OPEN status for this action."
}{
"status": "error",
"code": "INTENT_WRONG_STATUS",
"message": "Session must be in OPEN status for this action."
}{
"status": "error",
"code": "INTENT_WRONG_STATUS",
"message": "Session must be in OPEN status for this action."
}{
"status": "error",
"code": "INTENT_WRONG_STATUS",
"message": "Session must be in OPEN status for this action."
}{
"status": "error",
"code": "INTENT_WRONG_STATUS",
"message": "Session must be in OPEN status for this action."
}{
"status": "error",
"code": "INTENT_WRONG_STATUS",
"message": "Session must be in OPEN status for this action."
}{
"status": "error",
"code": "INTENT_WRONG_STATUS",
"message": "Session must be in OPEN status for this action."
}List deposit, withdrawal and rebalance events
GET
/
extern
/
fe
/
positions
List deposit, withdrawal and rebalance events
curl --request GET \
--url https://{host}/extern/fe/positions \
--header 'Authorization: Bearer <token>' \
--header 'X-Publishable-Key: <api-key>'const options = {
method: 'GET',
headers: {'X-Publishable-Key': '<api-key>', Authorization: 'Bearer <token>'}
};
fetch('https://{host}/extern/fe/positions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{host}/extern/fe/positions"
headers = {
"X-Publishable-Key": "<api-key>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"status": "success",
"data": {
"accountId": "8e9f4d67-51ad-49aa-a502-2f569aaf7399",
"safeAddress": "0x1234567890abcdef1234567890abcdef12345678",
"events": [
{
"kind": "DEPOSIT",
"eventType": "DEPOSIT",
"safeAddress": "0x1234567890abcdef1234567890abcdef12345678",
"chainId": 8453,
"blockNumber": "<string>",
"transactionHash": "<string>",
"logIndex": "<string>",
"blockTime": "2023-11-07T05:31:56Z",
"amount": "<string>",
"price": {
"USD": "1234.56",
"EUR": "1135.79"
},
"tokenAddress": "0x1234567890abcdef1234567890abcdef12345678",
"tokenSymbol": "<string>",
"tokenDecimals": 1
}
]
}
}{
"status": "error",
"code": "INTENT_WRONG_STATUS",
"message": "Session must be in OPEN status for this action."
}{
"status": "error",
"code": "INTENT_WRONG_STATUS",
"message": "Session must be in OPEN status for this action."
}{
"status": "error",
"code": "INTENT_WRONG_STATUS",
"message": "Session must be in OPEN status for this action."
}{
"status": "error",
"code": "INTENT_WRONG_STATUS",
"message": "Session must be in OPEN status for this action."
}{
"status": "error",
"code": "INTENT_WRONG_STATUS",
"message": "Session must be in OPEN status for this action."
}{
"status": "error",
"code": "INTENT_WRONG_STATUS",
"message": "Session must be in OPEN status for this action."
}{
"status": "error",
"code": "INTENT_WRONG_STATUS",
"message": "Session must be in OPEN status for this action."
}Authorizations
Account Type publishable key (pk_live_...)
SIWE session JWT issued by POST /auth/verify
Headers
Optional ISO 4217 currency. Responses always include USD and add this currency when conversion is available.
Pattern:
^[A-Za-z]{3}$Example:
"EUR"
Last modified on July 24, 2026
Was this page helpful?